
TYPO3.Flow - Major Feature # 6267

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-01-28 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Speed up persistence
Description

Do some more profiling, get rid of useless stuff, check dirty checking, ...

Related issues:
related to TYPO3.Flow - Feature # 3337: Allow to count lazy-loaded objects wi... Resolved 2009-05-16
related to TYPO3.Flow - Feature # 6120: Re-implement lazy loading in persiste... Resolved 2010-01-20
related to TYPO3.Flow - Bug # 6290: Dirty checking fails due to order of obje... Resolved 2010-01-30

Associated revisions
Revision 8571e9fd - 2010-01-28 16:53 - Karsten Dambekalns

[~TASK] FLOW3 (Persistence): Got rid of Literal, BindVariableValue, Ordering, Selector and QueryObjectModel; relates to #6267.
[+API] FLOW3 (Persistence): QueryInterface now has signatures for in() and contains(), relates to #1884.
[+FEATURE] FLOW3 (Persistence): Implemented query operators for in() and contains(), resolves #1884.

History
#1 - 2010-02-18 23:48 - Karsten Dambekalns
- % Done changed from 0 to 30

#2 - 2010-03-09 17:22 - Robert Lemke
- Start date changed from 2010-01-28 to 2010-01-18
- Estimated time set to 1.00

#3 - 2010-03-11 11:39 - Robert Lemke
- Tracker changed from Task to Major Feature

#4 - 2010-03-11 21:09 - Karsten Dambekalns
- % Done changed from 30 to 100

#5 - 2010-04-15 18:29 - Robert Lemke
- Status changed from Accepted to Resolved
